# Generated by Django 3.1.1 on 2020-09-09 21:54

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0002_auto_20200908_2354"),
    ]

    operations = [
        migrations.AlterField(
            model_name="uniwebflexiblepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text_section",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="nadpis", required=False
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "columns_section",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="nadpis", required=False
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "gallery_section",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="nadpis", required=False
                                    ),
                                ),
                                (
                                    "images",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek"
                                        )
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="uniwebhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text_section",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="nadpis", required=False
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "columns_section",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="nadpis", required=False
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "gallery_section",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="nadpis", required=False
                                    ),
                                ),
                                (
                                    "images",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek"
                                        )
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
